import { OnInit } from '@angular/core';
import { InputMetadata } from '../../types';
import * as i0 from "@angular/core";
export declare class HintComponent implements OnInit {
    /**
     * Input configuration object.
     * @type {InputMetadata}
     * @property control - The Angular FormControl for the input.
     * @property errors - The error messages mapping.
     */
    props: InputMetadata;
    private i18n;
    constructor();
    ngOnInit(): void;
    get shouldShowErrors(): boolean;
    get Errors(): string[];
    static ɵfac: i0.ɵɵFactoryDeclaration<HintComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HintComponent, "val-hint", never, { "props": { "alias": "props"; "required": false; }; }, {}, never, never, true, never>;
}
